org.apache.jmeter.gui.action

## Class ExitCommand

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest
    - - org.apache.jmeter.gui.action.ExitCommand

- All Implemented Interfaces:
    Command

      public class ExitCommand
      extends AbstractActionWithNoRunningTest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExitCommand()` Constructor for the ExitCommand object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doActionAfterCheck(ActionEvent e)` Description of the Method
    `Set<String>` | `getActionNames()` Gets the ActionNames attribute of the ExitCommand object

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest

      `doAction`

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

      `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExitCommand

          public ExitCommand()

      Constructor for the ExitCommand object

  - ### Method Detail

    - #### getActionNames

          public Set<String> getActionNames()

      Gets the ActionNames attribute of the ExitCommand object
      Returns:
        The ActionNames value

    - #### doActionAfterCheck

          public void doActionAfterCheck(ActionEvent e)

      Description of the Method
      Specified by:
        `doActionAfterCheck` in class `AbstractActionWithNoRunningTest`
      Parameters:
        `e` - Description of Parameter

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.